<template>
  <v-app-bar app color="primary" class="px-0 px-lg-10">
    <!--Start Title              --------------------------------------------------------->
    <span class="font-weight-bold text-sm-subtitle-2 text-lg-h6">{{
      $_t("components.app.header.title")
    }}</span>
    <!--End   Title              --------------------------------------------------------->

    <v-spacer></v-spacer>

    <!--Start Language Selector  --------------------------------------------------------->
    <SwitchLang v-if="$vuetify.breakpoint.lgAndUp"></SwitchLang>
    <!--End   Language Selector  --------------------------------------------------------->

    <!--Start Theme mode toggle  --------------------------------------------------------->
    <ThemeModeChanger></ThemeModeChanger>
    <!--End   Theme mode toggle  --------------------------------------------------------->
  </v-app-bar>
</template>

<script>
import SwitchLang from "@/components/app/SwitchLang";
import ThemeModeChanger from "@/components/app/ThemeModeChanger";
export default {
  name: "Header",
  components: { ThemeModeChanger, SwitchLang },
};
</script>
